org.icefaces.ace.component.drawerpanel

## Interface IDrawerPanel

- All Known Implementing Classes:
    DrawerPanel, DrawerPanelBase

      public interface IDrawerPanel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContainer()`
    `java.lang.String` | `getEffect()`
    `java.lang.String` | `getHeader()`
    `int` | `getHeight()`
    `java.lang.String` | `getOnClose()`
    `java.lang.String` | `getOnOpen()`
    `java.lang.String` | `getPosition()`
    `java.lang.String` | `getSetFocus()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `int` | `getWidth()`
    `int` | `getZindex()`
    `boolean` | `isCloseOnEscape()`
    `boolean` | `isCloseOnOutsideClick()`
    `boolean` | `isModal()`
    `boolean` | `isShowHandleClose()`
    `boolean` | `isShowHandleOpen()`
    `boolean` | `isShowHeader()`
    `boolean` | `isVisible()`
    `void` | `setCloseOnEscape(boolean closeOnEscape)`
    `void` | `setCloseOnOutsideClick(boolean closeOnOutsideClick)`
    `void` | `setContainer(java.lang.String container)`
    `void` | `setEffect(java.lang.String effect)`
    `void` | `setHeader(java.lang.String header)`
    `void` | `setHeight(int height)`
    `void` | `setModal(boolean modal)`
    `void` | `setOnClose(java.lang.String onClose)`
    `void` | `setOnOpen(java.lang.String onOpen)`
    `void` | `setPosition(java.lang.String position)`
    `void` | `setSetFocus(java.lang.String setFocus)`
    `void` | `setShowHandleClose(boolean showHandleClose)`
    `void` | `setShowHandleOpen(boolean showHandleOpen)`
    `void` | `setShowHeader(boolean showHeader)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setVisible(boolean visible)`
    `void` | `setWidth(int width)`
    `void` | `setZindex(int zindex)`

- - ### Method Detail

    - #### setCloseOnEscape

          void setCloseOnEscape(boolean closeOnEscape)

    - #### isCloseOnEscape

          boolean isCloseOnEscape()

    - #### setCloseOnOutsideClick

          void setCloseOnOutsideClick(boolean closeOnOutsideClick)

    - #### isCloseOnOutsideClick

          boolean isCloseOnOutsideClick()

    - #### setContainer

          void setContainer(java.lang.String container)

    - #### getContainer

          java.lang.String getContainer()

    - #### setEffect

          void setEffect(java.lang.String effect)

    - #### getEffect

          java.lang.String getEffect()

    - #### setHeader

          void setHeader(java.lang.String header)

    - #### getHeader

          java.lang.String getHeader()

    - #### setHeight

          void setHeight(int height)

    - #### getHeight

          int getHeight()

    - #### setModal

          void setModal(boolean modal)

    - #### isModal

          boolean isModal()

    - #### setOnClose

          void setOnClose(java.lang.String onClose)

    - #### getOnClose

          java.lang.String getOnClose()

    - #### setOnOpen

          void setOnOpen(java.lang.String onOpen)

    - #### getOnOpen

          java.lang.String getOnOpen()

    - #### setPosition

          void setPosition(java.lang.String position)

    - #### getPosition

          java.lang.String getPosition()

    - #### setSetFocus

          void setSetFocus(java.lang.String setFocus)

    - #### getSetFocus

          java.lang.String getSetFocus()

    - #### setShowHandleClose

          void setShowHandleClose(boolean showHandleClose)

    - #### isShowHandleClose

          boolean isShowHandleClose()

    - #### setShowHandleOpen

          void setShowHandleOpen(boolean showHandleOpen)

    - #### isShowHandleOpen

          boolean isShowHandleOpen()

    - #### setShowHeader

          void setShowHeader(boolean showHeader)

    - #### isShowHeader

          boolean isShowHeader()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setVisible

          void setVisible(boolean visible)

    - #### isVisible

          boolean isVisible()

    - #### setWidth

          void setWidth(int width)

    - #### getWidth

          int getWidth()

    - #### setZindex

          void setZindex(int zindex)

    - #### getZindex

          int getZindex()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.